OSGeo4W переходит на Python 2.7

Долгое время установщик свободного ПО ГИС OSGeo4W использовал достаточно старую версию Python — 2.5.2. Со временем это стало причинять все больше неудобств: начиная от наличия ошибок, исправленных в новых версиях Python, и заканчивая невозможностью обновить некоторые пакеты до актуальных версий. Вопрос перехода поднимался снова и снова, но главным сдерживающим фактором была необходимость пересборки большого количества зависимых пакетов.

И вот, свершилось! Усилиями нескольких пользователей (особенно отличились Matt Wilkie и Jürgen Fischer) долгожданный переход выполнен, и уже сегодня можно насладиться новым Python 2.7.2. Ознакомиться с тем, как протекал процесс перехода, можно по следующим ссылкам: #214, #219, Requires Python и подняв архив рассылки OSGeo4W-dev.

Необходимо отметить, что некоторые пакеты все еще не адаптированны под Python 2.7.2, а уже имеющиеся могут содержать ошибки. Обо всех проблемах стоит сообщать в багтрекер.